<template>
  <q-layout view="lHh Lpr lFf">
    <q-header elevated>
      <q-toolbar>
        <q-btn
          flat
          dense
          round
          @click="leftDrawerOpen = !leftDrawerOpen"
          icon="menu"
          aria-label="Menu"
        />

        <q-toolbar-title>Gamematcher Pro</q-toolbar-title>

        <div>{{ this.$store.state.loggedUser }}</div>
      </q-toolbar>
    </q-header>

    <q-drawer v-model="leftDrawerOpen" show-if-above bordered content-class="bg-grey-2">
      <q-list>
        <q-item-label header>Menú</q-item-label>
        <q-item clickable to="/search" v-if="!isAdmin">
          <q-item-section avatar>
            <q-icon name="search" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Buscar compañeros</q-item-label>
          </q-item-section>
        </q-item>

        <q-item clickable to="/users" v-if="isAdmin">
          <q-item-section avatar>
            <q-icon name="person" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Usuarios</q-item-label>
          </q-item-section>
        </q-item>

        <q-item clickable to="/games" v-if="isAdmin">
          <q-item-section avatar>
            <q-icon name="gamepad" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Games</q-item-label>
          </q-item-section>
        </q-item>

        <q-item v-if="!isAdmin">
          <q-item-section avatar>
            <q-icon name="info" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Juegos recomendados</q-item-label>
          </q-item-section>
        </q-item>

        <q-item
          v-if="!isAdmin"
          clickable
          tag="a"
          target="_blank"
          href="http://www.goat-simulator.com/"
        >
          <q-item-section avatar>
            <q-icon name="gamepad"></q-icon>
          </q-item-section>
          <q-item-section>
            <q-item-label>Goat simulator</q-item-label>
          </q-item-section>
        </q-item>

        <q-item
          v-if="!isAdmin"
          clickable
          tag="a"
          target="_blank"
          href="http://www.paisdelosjuegos.com.ar/juego/where-s-my-water.html"
        >
          <q-item-section avatar>
            <q-icon name="gamepad"></q-icon>
          </q-item-section>
          <q-item-section>
            <q-item-label>Juegos muy serios</q-item-label>
          </q-item-section>
        </q-item>

        <q-item
          v-if="!isAdmin"
          clickable
          tag="a"
          target="_blank"
          href="https://orteil.dashnet.org/cookieclicker/"
        >
          <q-item-section avatar>
            <q-icon name="gamepad"></q-icon>
          </q-item-section>
          <q-item-section>
            <q-item-label>Cookies game</q-item-label>
          </q-item-section>
        </q-item>

        <q-item clickable to="/login">
          <q-item-section avatar>
            <q-icon name="exit_to_app" />
          </q-item-section>
          <q-item-section>
            <q-item-label>Salir</q-item-label>
          </q-item-section>
        </q-item>
      </q-list>
    </q-drawer>

    <q-page-container>
      <router-view />
    </q-page-container>
  </q-layout>
</template>

<script>
export default {
  name: "MyLayout",

  data() {
    return {
      leftDrawerOpen: false
    };
  },
  computed: {
    isAdmin: function() {
      return this.$store.state.loggedUser === "admin";
    }
  }
};
</script>
